BizKitHub
DocsAPI ReferenceLedger/bff/ledger/vat/draft
postLedgerAdmin BFF

/bff/ledger/vat/draft

Create or regenerate the draft of a VAT filing from the VAT ledger

LedgerpostBffLedgerVatDraft

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
kind"dp3" | "kh" | "sh"Required
periodstringRequired
Examples2027-022027-Q1
filingType"regular" | "corrective" | "supplementary"Required
discoveredOnstring | nullOptional
One of 2:
Variant 1
string
Example2027-03-20
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–1000
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/vat/draft

post
curl -X POST "https://api.bizkithub.com/bff/ledger/vat/draft" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "period": "2027-02"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key